llgd.net
当前位置:首页 >> 如何为ACtivEmq单独配置JDK?不想用jAvA_homE的参数 >>

如何为ACtivEmq单独配置JDK?不想用jAvA_homE的参数

在启动activemq.bat,编辑 里面的 java_home 参数,改成需要引用的jdk的实际路径。或者在该文件中重新设置JAVA_HOME

不需要特殊指定,只要配置JAVA_HOME,MQ自动识别,bin/activemq执行文件里有读取

应该没问题。因为LINUX下安全其实就是配置一下系统变量。多写一句就OK,我的TOMCAT是7.0的,跟6.0差不多,应该1.5及以上都可以。不过个人还是喜欢用新的。Myeclipse10.0+tomcat7+jdk1.7一切正常。

ActiveMQ 5.x 是可以的,以上版本不支持,至少要1.7

JDK1.6主要增加了一些易用的API即类(接口),语言本身方面(语法修改)不大,主要还是继续发挥JDK1.5泛型、注解的优势。这个没法精简,因为这些点都很零碎:一:Desktop类和SystemTray类在JDK6中,AWT新增加了两个类:Desktop和SystemTray。前者...

安装环境:linux redhat activemq版本:5.8.0 1.从http://activemq.apache.org/download.html地址下载apache-activemq-5.8.0-bin.tar.gz包 2.解压缩到指定的目录 tar zxvf apache-activemq-5.8.0-bin.tar.gz -C /usr/local 解压缩后会在/usr/loc...

不支持 5.8-5.10支持jdk1.6 5.11以上限于jdk1.7以上

网站首页 | 网站地图
All rights reserved Powered by www.llgd.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com